# pig

## saddle
execute as @e[type=interaction,tag=vanilla_utilities.pig] at @s if data entity @s interaction run function vu:pig/saddle
execute as @e[type=pig,tag=vanilla_utilities.pig.saddle] at @s unless entity @e[limit=1,sort=nearest,type=interaction,tag=vanilla_utilities.pig,distance=...1] run summon interaction ~ ~ ~ {Tags:["vanilla_utilities.pig","vanilla_utilities.entity"]}

# strider

## saddle
execute as @e[type=interaction,tag=vanilla_utilities.strider] at @s if data entity @s interaction run function vu:strider/saddle
execute as @e[type=strider,tag=vanilla_utilities.strider.saddle] at @s unless entity @e[limit=1,sort=nearest,type=interaction,tag=vanilla_utilities.strider,distance=...1] run summon interaction ~ ~ ~ {height:1.75,Tags:["vanilla_utilities.strider","vanilla_utilities.entity"]}

# cow

## leather
execute as @e[type=interaction,tag=vanilla_utilities.cow] at @s if data entity @s interaction run function vu:cow/leather
execute as @e[type=cow,tag=vanilla_utilities.cow.leather] at @s unless entity @e[limit=1,sort=nearest,type=interaction,tag=vanilla_utilities.cow,distance=...1] run summon interaction ~ ~ ~ {height:1.4,Tags:["vanilla_utilities.cow","vanilla_utilities.entity"]}

# chicken

## feather
execute as @e[type=interaction,tag=vanilla_utilities.chicken] at @s if data entity @s interaction run function vu:chicken/feather
execute as @e[type=chicken,tag=vanilla_utilities.chicken.feather] at @s unless entity @e[limit=1,sort=nearest,type=interaction,tag=vanilla_utilities.chicken,distance=...1] run summon interaction ~ ~ ~ {height:1,Tags:["vanilla_utilities.chicken","vanilla_utilities.entity"]}

# armor stand
execute as @a as @s if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"type_specific":{"type":"minecraft:player","looking_at":{"type":"#vu:stands"}},"flags":{"is_sneaking":true}}} at @s anchored eyes positioned ^ ^ ^.1 run function vu:ray/armor_stand/start_ray

execute as @e[type=interaction,tag=vanilla_utilities.armor_stand] at @s if data entity @s interaction on target run function vu:armor_stand/main

# item frames
execute as @e[type=interaction,tag=vanilla_utilities.item_frame] at @s if data entity @s interaction run function vu:item_frame/item_frame
execute as @e[type=#vu:item_frames,tag=vanilla_utilities.item_frame] at @s unless entity @e[limit=1,sort=nearest,type=interaction,tag=vanilla_utilities.item_frame,distance=...1] run summon interaction ~ ~ ~ {height:.5f,Tags:["vanilla_utilities.item_frame"]}

# Blocks
execute as @e[type=interaction,tag=vanilla_utilities.block] at @s if data entity @s interaction on target run function vu:ray/block

# # anvil

## powders
execute as @e[type=falling_block,nbt={BlockState:{Name:"minecraft:anvil"}}] at @s positioned ~ ~-.1 ~ if entity @e[type=item,limit=2,distance=...5] run function vu:anvil/powders

# ladders
execute as @e[limit=1,sort=nearest,type=item,tag=vanilla_utilities.item] at @s if block ~ ~ ~ ladder if block ~ ~-.5 ~ air run function vu:ladders/ladders

# bed
execute if score #settings vanilla_utilities.settings.block.inverted_blankets matches 0 run function vu:bed/not_inverted_blankets
execute if score #settings vanilla_utilities.settings.block.inverted_blankets matches 1 run function vu:bed/inverted_blankets

execute as @e[type=item_display,tag=vanilla_utilities.bed.banner] at @s align xyz positioned ~.5 ~ ~.5 unless block ~ ~ ~ #beds run function vu:bed/remove

# cake
execute as @a store result score @s vanilla_utilities.cake run data get entity @s SelectedItem.components."minecraft:custom_data".bites

# settings
execute as @a[scores={vanilla_utilities.settings=1..}] if score #settings _vanilla_utilities.disable_trigger_settings matches 0 run function vu:settings

# #
scoreboard players add #p_tick _vanilla_utilities.periodic_tick 1

function vu:debug

execute as @a as @s at @s if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"flags":{"is_sneaking":true}}} anchored eyes positioned ^ ^ ^.1 run function vu:ray/start_ray
